Debian Bug report logs - #468001
libpetal-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libpetal-perl; Maintainer for libpetal-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libpetal-perl is src:libpetal-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:30:13 UTC

Severity: important

Tags: patch

Found in version libpetal-perl/2.18-1

Fixed in version libpetal-perl/2.18-1.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Florian Ragwitz <rafl@debian.org>:
Bug#468001; Package libpetal-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Florian Ragwitz <rafl@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libpetal-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:23 +0200
Package: libpetal-perl
Version: 2.18-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debian.org>:
Bug#468001; Package libpetal-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Florian Ragwitz <rafl@debian.org>. Full text and rfc822 format available.

Message #10 received at 468001@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 468001@bugs.debian.org
Subject: libpetal-perl: diff for NMU version 2.18-1.1
Date: Sat, 5 Apr 2008 17:11:39 +0100
[Message part 1 (text/plain, inline)]
tags 468001 + patch
thanks

Hi,

Attached is the diff for my libpetal-perl 2.18-1.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[libpetal-perl-2.18-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 16:12:09 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 468001-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 468001-close@bugs.debian.org
Subject: Bug#468001: fixed in libpetal-perl 2.18-1.1
Date: Sat, 05 Apr 2008 16:17:04 +0000
Source: libpetal-perl
Source-Version: 2.18-1.1

We believe that the bug you reported is fixed in the latest version of
libpetal-perl, which is due to be installed in the Debian FTP archive:

libpetal-perl_2.18-1.1.diff.gz
  to pool/main/libp/libpetal-perl/libpetal-perl_2.18-1.1.diff.gz
libpetal-perl_2.18-1.1.dsc
  to pool/main/libp/libpetal-perl/libpetal-perl_2.18-1.1.dsc
libpetal-perl_2.18-1.1_all.deb
  to pool/main/libp/libpetal-perl/libpetal-perl_2.18-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 468001@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libpetal-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 17:10:00 +0100
Source: libpetal-perl
Binary: libpetal-perl
Architecture: source all
Version: 2.18-1.1
Distribution: unstable
Urgency: low
Maintainer: Florian Ragwitz <rafl@debian.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libpetal-perl - Perl Template Attribute Language - TAL for perl
Closes: 468001
Changes: 
 libpetal-perl (2.18-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #468001
Files: 
 895161d29a1f5ffd29cea3b20a7fc206 654 perl optional libpetal-perl_2.18-1.1.dsc
 dbe8ce3a8a220fcb74b00c4dfe8a48bd 2000 perl optional libpetal-perl_2.18-1.1.diff.gz
 c3df07c1ce8d8b1d65104629718a8100 83178 perl optional libpetal-perl_2.18-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH96SwNIW6CNDsByMRApieAJ4lgFk+G2E5B8kUBuyzkie6cessRACfU4Eq
NcGJ8YtKBcTE5H7HcQooBo8=
=syCA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:31:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:11:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.